<template>
  <div class="app-container">
    <el-form ref="postForm" :rules="formRules" :model="formData" label-width="150px">
      <el-form-item label="车辆负责人名称" prop="head_name" :rules="formRules.checkRqInput">
        <el-col :span="6">
          <el-input v-model="formData.head_name" placeholder="请输入车辆负责人名称"/>
        </el-col>
      </el-form-item>
      <el-form-item align="center">
        <el-button type="primary" @click="submitForm">保存</el-button>
        <el-button @click="onCancel">取消</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import { checkRqInput, checkRqSelect, checkPwdLength, checkTel } from '@/utils/validate'
import { detailHead, createHead, updateHead  } from '@/api/base/index'

export default {
  name: 'ArticleDetail',
  // 配合路由配置的props属性实现在组件中通过props获取参数
  props: {
    id: {
      type: String,
      default() {
        return this.$route.params.id;
      }
    }
  },
  data() {
    return {
      formData: {
        head_id: '',
        head_name: ''
      },
      // 校验规则
      formRules: {
        checkRqInput,
        checkRqSelect,
        checkTel
      },
      passwordValue: this.$props.id?false:true, // 密码按钮状态
      driverList: [], // 客户单位列表
    }
  },
  created() {
    this.fetchDetail()
  },
  methods: {
    // 获取详情
    fetchDetail() {
      const id = this.$props.id
      console.log(id)
      if (id) {
        this.$http(detailHead(id), (res) => {
          if (res.code == 0) {
            this.formData = res.data
          }
        })
      }
      this.formData.head_id = id
    },
    // 提交表单
    submitForm() {
      this.$refs['postForm'].validate((valid) => {
        if (valid) {
          // 修改
          if (this.formData.head_id) {
            this.$http(updateHead(this.formData), res => {
              this.$message({
                message: '成功',
                type: 'success'
              })
              this.$router.go(-1)
            })
          } else {
            // 新增
            this.$http(createHead(this.formData), res => {
              this.$message({
                message: '成功',
                type: 'success'
              })
              this.$router.go(-1)
            })
          }
        } else {
          return false
        }
      })
    },
    // 取消
    onCancel() {
      this.$message({
        message: '已取消!',
        type: 'warning'
      })
      this.$router.go(-1)
    },
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
</style>
